local gr, lm = love.graphics, love.mouse
local pixels = {}

function love.load()
	gr.setColor( 255, 255, 255, 255 )
	gr.setCaption( 'Drawing to a table' )
	end

function love.update()
	local pos = { lm.getX(), lm.getY() }
	if lm.isDown( 'r' )  then pixels = {} end

	if lm.isDown( 'l' ) then
		local exit = false
		local add = true
		local i = #pixels
		if i ~= 0 then
			while not exit do
				if pixels[i][1] == pos[1] and pixels[i][2] == pos[2] then
					exit = true
					add = false
					end
				i = i - 1
				if i == 0 then exit = true end
				end
			end
		if add then pixels[#pixels+1] = pos end
		end
	end

function love.draw()
	for i = 1, #pixels do
		gr.point( pixels[i][1], pixels[i][2] )
		end
	gr.print( love.timer.getFPS(), 10, 10 )
	gr.print( "Number of pixels being drawn: "..#pixels, 10, 30 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end
